// lcd.h	By KCO
#ifndef __LCD_H
#define	__LCD_H
#include "common.h"

void lcd_init(BYTE xlen, BYTE ylen);
void lcd_setCursor(uint8_t col, uint8_t row);
#define	lcd_gotoxy(x,y)	lcd_setCursor(x,y)
void lcd_write(BYTE value);
void lcd_clear(void);
void lcd_cursor_all_on(void);
void lcd_cursor_bar_on(void);
void lcd_cursor_blk_on(void);
void lcd_cursor_off(void);
void lcd_hex2(BYTE b);
void lcd_hex4(WORD w);
void lcd_putc(char c);
void lcd_puts(char *str);
void lcd_printf(const char *fmt,...);

#endif
